Page MenuHomePhabricator

Setup JaCoCo
ClosedPublic

Authored by CLOVIS on May 16 2019, 1:08 PM.

Details

Summary
  • Cleaning the build.gradle
  • Remove parallel unit testing (the API doesn't handle them)
  • Update the API
  • Make Method & Request public (the tests can't find them if they are internal)
  • Catch cases in which the JSON returned by the API cannot be parsed, and replace it with dummy JSON
  • Integration JaCoCo into the Continuous Integration jobs
  • Setting the mandatory coverage ratio to 50% because the current app is only at 60%. WILL NEED to be changed back later.

Closes T328

Test Plan

Diff Detail

Repository
rLIBWFJVA WildFyre Java Libary
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

CLOVIS created this revision.May 16 2019, 1:08 PM
CLOVIS edited the summary of this revision. (Show Details)May 16 2019, 1:10 PM
Hackintosh5 resigned from this revision.May 18 2019, 7:24 AM
WyldBot added inline comments.May 18 2019, 3:13 PM
build.gradle
49

Why delete Maven?

CLOVIS added inline comments.May 19 2019, 8:53 AM
build.gradle
49

Not deleted, moved at the top of the file (line 32) with the plugins declaration to make the structure a bit cleaner

WyldBot accepted this revision.May 19 2019, 12:17 PM
This revision is now accepted and ready to land.May 19 2019, 12:17 PM
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.